ostrace_activity_cb_t
ostrace_archive_write_cb_t
ostrace_client_free
ostrace_client_new
ostrace_client_start_service
ostrace_client_t
ostrace_create_archive
ostrace_error_t
ostrace_get_pid_list
OSTRACE_SERVICE_NAME
ostrace_start_activity
ostrace_stop_activity

## ostrace_create_archive()

LIBIMOBILEDEVICE_API ostrace_error_t ostrace_create_archive | ( | ostrace_client_t | client,
|  | plist_t | options,
|  | ostrace_archive_write_cb_t | callback,
|  | void * | user_data )

Creates a syslog archive.

Note
  The device will close the connection once the transfer is complete. The client is not usable after that anymore and must be disposed with ostrace_client_free.

Parameters

  client | The ostrace client to use
  options | A dictionary with options for the request. Valid parameters are StartTime (PLIST_UINT), SizeLimit (PLIST_UINT), and AgeLimit (PLIST_UINT).

Returns
  OSTRACE_E_SUCCESS on success, or an OSTRACE_E_* error code otherwise